termcol: numeric module version requirements
authorMischa POSLAWSKY <perl@shiar.org>
Sat, 12 Nov 2016 01:51:47 +0000 (02:51 +0100)
committerMischa POSLAWSKY <perl@shiar.org>
Wed, 22 Mar 2017 21:28:04 +0000 (22:28 +0100)
Only unquoted arguments are checked as minimum, despite the module version
being declared as string.

termcol.inc.pl
termcol.plp
tools/mktermcol-xcolor

index 72aa6a0..f1813ca 100644 (file)
@@ -1,6 +1,6 @@
 use strict;
 use 5.010;
-use Shiar_Sheet::Colour '1.05';
+use Shiar_Sheet::Colour 1.05;
 
 +{
        default => [qw( ansi xkcd ansi88 )],
index 3f8befc..d4cd63f 100644 (file)
@@ -36,7 +36,7 @@ print
 <div class="section">
 <:
 use 5.010;
-use Shiar_Sheet::Colour '1.04';
+use Shiar_Sheet::Colour 1.04;
 use List::Util qw( min max );
 use POSIX qw( ceil );
 
index 112dd83..615bff2 100755 (executable)
@@ -1,7 +1,7 @@
 #!/usr/bin/env perl
 use 5.010;
 
-use Shiar_Sheet::Colour '1.05';
+use Shiar_Sheet::Colour 1.05;
 
 say 'use strict;';
 say '+{';